Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.tagshandler
Class TranslatorTagsHandler

    java.lang.Object
      xdoclet.template.TemplateTagHandler
          xdoclet.XDocletTagSupport
              xdoclet.tagshandler.TranslatorTagsHandler

public class TranslatorTagsHandler
extends XDocletTagSupport

Version:
  $Revision: 1.8 $
Author:
  Andrew Stevens
xdoclet.taghandler
  namespace="I18n"
created
  Jan 24, 2002

Field Summary

Fields inherited from class xdoclet.XDocletTagSupport
`FOR_CLASS, FOR_CONSTRUCTOR, FOR_FIELD, FOR_METHOD, PARAMETER_DELIMITER`

Constructor Summary
`TranslatorTagsHandler()`

Method Summary
`String` | `getString(Properties attributes)` Returns a localized text string.

Methods inherited from class xdoclet.XDocletTagSupport
`delimit, expandClassName, generate, getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getDocletContext, getEngine, getExpandedDelimitedTagValue, getTagValue, getTagValue, getTagValue, hasTag, isTagValueEqual, mandatoryParamNotFound, mandatoryTemplateTagParamNotFound, modifiers, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class xdoclet.template.TemplateTagHandler
`getXJavaDoc, setXJavaDoc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TranslatorTagsHandler

    public TranslatorTagsHandler()

Method Detail

### getString

    public String getString(Properties attributes)
                     throws XDocletException

  Returns a localized text string.

  Parameters:
    `attributes` - The attributes of the template tag
  Returns:
    The localized string
  Throws:
    `XDocletException` - Description of Exception
  See Also:
    `Translator.getString(String,String,String[])`
  doc.tag
    type="content"
  doc.param
    name="bundle" optional="true" description="The base name of the resource bundle to use e.g. xdoclet.modules.ejb (corresponding to modules/ejb/src/xdoclet/modules/ejb/resources/Messages.properties) etc. It defaults to xdoclet", name="resource" optional="false" description="The resource key to look up in the bundle.", name="arguments" optional="true" description="An optional list of arguments to be substituted for any placeholders ({0}, {1} etc.) in the resource value string.", name="delimiter" optional="true" description="The arguments parameter is delimited by the string specified in the delimiter parameter (default is a comma)."

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD